/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: SoapFaultTest.java 62602 2011-04-21 14:51:41Z kgrucci $
 */

/* Copyright (c) 2003 Oracle Corporation.  All rights reserved. */
package com.sun.ts.tests.jaxws.sharedwebservices.faultservice;

import java.rmi.ServerException;

@javax.jws.WebService(
targetNamespace="http://faulttestservice.org/wsdl"
)
@javax.jws.soap.SOAPBinding(
style=javax.jws.soap.SOAPBinding.Style.RPC,
use=javax.jws.soap.SOAPBinding.Use.LITERAL,
parameterStyle=javax.jws.soap.SOAPBinding.ParameterStyle.WRAPPED
)
public interface SoapFaultTest {
    public String alwaysThrowsException() throws DummyException;
    public String alwaysThrowsServerException() throws ServerException;

    public String alwaysThrowsSOAPFaultExceptionDetailNoChildren() ;

    public String alwaysThrowsSOAPFaultExceptionDetailUnqualifiedChildren() ;

    public String alwaysThrowsSOAPFaultExceptionDetailQualifiedChildren() ;

    public String alwaysThrowsSOAPFaultExceptionDetailNoAttributes() ;

    public String alwaysThrowsSOAPFaultExceptionDetailQualifiedAttributes() ;
}
